Index: trunk/contactcenter/templates/default/config.tpl
===================================================================
--- trunk/contactcenter/templates/default/config.tpl	(revision 2)
+++ trunk/contactcenter/templates/default/config.tpl	(revision 285)
@@ -50,4 +50,13 @@
 		<td>{lang_Password_for_the_account_above_(if_any)}:</td>
 		<td><input name="newsettings[cc_ldap_pw0]" type="password" value="" size="40" /></td>
+	</tr>
+	<tr class="row_off">
+		<td>Abrir Consulta Automática :</td>
+		<td>
+			<select name="newsettings[cc_ldap_query_automatic]">
+				<option value="true" {selected_cc_ldap_query_automatic_true}>Sim</option>	
+				<option value="false" {selected_cc_ldap_query_automatic_false}>Não</option>							
+			</select>
+		</td>
 	</tr>
   
Index: trunk/contactcenter/templates/default/index.tpl
===================================================================
--- trunk/contactcenter/templates/default/index.tpl	(revision 284)
+++ trunk/contactcenter/templates/default/index.tpl	(revision 285)
@@ -1,11 +1,11 @@
 <link rel="stylesheet" type="text/css" href="{cc_css}">
-<style>
+<style>	
 	.special{
 		cursor:pointer;
 		cursor:hand;
-		position:relative;
-		top:0px;
+		position:relative; 
+		top:0px; 
 		left:0px;
-		color: #006699;
+		color: #006699; 
 		background-color:#DCDCDC;
 	}
@@ -15,5 +15,4 @@
 <input id="cc_msg_no_cards" type="hidden" value="{cc_msg_no_cards}">
 <input id="cc_msg_err_no_room" type="hidden" value="{cc_msg_err_no_room}">
-
 <input id="cc_root_dir" type="hidden" value="{cc_root_dir}">
 <input id="cc_msg_card_new" type="hidden" value="{cc_msg_card_new}">
@@ -25,12 +24,65 @@
 <input id="cc_msg_card_remove_confirm" type="hidden" value="{cc_msg_card_remove_confirm}">
 <input id="cc_send_mail" type="hidden" value="{cc_send_mail}">
-<input id="cc_msg_group_edit" type="hidden" value="{cc_msg_group_edit}">
+<input id="cc_msg_group_edit" type="hidden" value="{cc_msg_group_edit}">	
 <input id="cc_msg_group_remove" type="hidden" value="{cc_msg_group_remove}">
 <input id="cc_msg_group_remove_confirm" type="hidden" value="{cc_msg_group_remove_confirm}">
 <input id="cc_panel_search_text" type="hidden" value="{cc_panel_search}" style="cursor: pointer; cursor: hand;" onclick="javascript:ccSearch()" />
+<input id="cc_msg_close_win" type="hidden" value="{cc_msg_close_win}">
+<input id="cc_msg_import_contacts" type="hidden" value="{cc_msg_import_contacts}">
+<input id="cc_msg_export_contacts" type="hidden" value="{cc_msg_export_contacts}">
+<input id="cc_msg_expresso_info_csv" type="hidden" value="{cc_msg_expresso_info_csv}">
+<input id="cc_msg_choose_file_type" type="hidden" value="{cc_msg_choose_file_type}">
+<input id="cc_msg_outlook_express" type="hidden" value="{cc_msg_outlook_express}">
+<input id="cc_msg_outlook2k" type="hidden" value="{cc_msg_outlook2k}">
+<input id="cc_msg_expresso_default" type="hidden" value="{cc_msg_expresso_default}">
+<input id="cc_msg_choose_contacts_file" type="hidden" value="{cc_msg_choose_contacts_file}">
+<input id="cc_msg_close" type="hidden" value="{cc_msg_close}">
+<input id="cc_msg_ie_personal" type="hidden" value="{cc_msg_ie_personal}">
+<input id="cc_msg_import_fail" type="hidden" value="{cc_msg_import_fail}">
+<input id="cc_msg_export_csv" type="hidden" value="{cc_msg_export_csv}">		   
+<input id="cc_msg_automatic" type="hidden" value="{cc_msg_automatic}">
+<input id="cc_msg_importing_contacts" type="hidden" value="{cc_msg_importing_contacts}">
+<input id="cc_msg_import_finished" type="hidden" value="{cc_msg_import_finished}">
+<input id="cc_msg_invalid_csv" type="hidden" value="{cc_msg_invalid_csv}">
+<input id="cc_msg_new" type="hidden" value="{cc_msg_new}">
+<input id="cc_msg_failure" type="hidden" value="{cc_msg_failure}">
+<input id="cc_msg_exists" type="hidden" value="{cc_msg_exists}">
+<input id="cc_msg_show_more_info" type="hidden" value="{cc_msg_show_more_info}">
+<input id="cc_msg_clean" type="hidden" value="{cc_msg_clean}">
+<input id="cc_msg_choose_valid_csv" type="hidden" value="{cc_msg_choose_valid_csv}">
+<input id="cc_msg_export_error" type="hidden" value="{cc_msg_export_error}">
+<input id="cc_msg_new_email" type="hidden" value="{cc_msg_new_email}">
+<input id="cc_msg_main" type="hidden" value="{cc_msg_main}">
+<input id="cc_msg_alternative" type="hidden" value="{cc_msg_alternative}">
+<input id="cc_msg_select_email" type="hidden" value="{cc_msg_select_email}">
+<input id="cc_msg_new_phone" type="hidden" value="{cc_msg_new_phone}">
+<input id="cc_msg_home" type="hidden" value="{cc_msg_home}">
+<input id="cc_msg_cellphone" type="hidden" value="{cc_msg_cellphone}">
+<input id="cc_msg_work" type="hidden" value="{cc_msg_work}">
+<input id="cc_msg_fax" type="hidden" value="{cc_msg_fax}">
+<input id="cc_msg_pager" type="hidden" value="{cc_msg_pager}">
+<input id="cc_msg_choose_phone" type="hidden" value="{cc_msg_choose_phone}">
+<input id="cc_msg_warn_firefox" type="hidden" value="{cc_msg_warn_firefox}">
+<input id="cc_msg_firefox_half1" type="hidden" value="{cc_msg_firefox_half1}">
+<input id="cc_msg_firefox_half2" type="hidden" value="{cc_msg_firefox_half2}">
+<input id="cc_msg_click_close" type="hidden" value="{cc_msg_click_close}">
+<input id="cc_msg_install_now" type="hidden" value="{cc_msg_install_now}">
+<input id="cc_msg_install_new_firefox" type="hidden" value="{cc_msg_install_new_firefox}">
+<input id="cc_msg_close" type="hidden" value="{cc_msg_close}">
+<input id="cc_msg_outlook_express_pt" type="hidden" value="{cc_msg_outlook_express_pt}">
+<input id="cc_msg_outlook_express_en" type="hidden" value="{cc_msg_outlook_express_en}">
+<input id="cc_msg_outlook_2k_pt" type="hidden" value="{cc_msg_outlook_2k_pt}">
+<input id="cc_msg_outlook_2k_en" type="hidden" value="{cc_msg_outlook_2k_en}">
+<input id="cc_msg_moz_thunderbird" type="hidden" value="{cc_msg_moz_thunderbird}">
+<input id="cc_msg_expresso_default_csv" type="hidden" value="{cc_msg_expresso_default_csv}">
+<input id="cc_msg_copy_to_catalog" type="hidden" value="{cc_msg_copy_to_catalog}">
+<input id="cc_msg_fill_field_name" type="hidden" value="{cc_msg_fill_field_name}">
+<input id="cc_msg_add_contact_to_group" type="hidden" value="{cc_msg_add_contact_to_group}">
+
+
  <!-- END JS MESSAGES -->
  <input id="cc_type_contact" 	type="hidden">
  <input id="cc_participants" 	type="hidden"  value="{cc_participants}">
-
+ 
  <input id="cc_qa_alias" 		type="hidden" value="{cc_qa_alias}">
  <input id="cc_qa_given_names" 	type="hidden" value="{cc_qa_given_names}">
@@ -38,8 +90,8 @@
  <input id="cc_qa_phone" 		type="hidden" value="{cc_qa_phone}">
  <input id="cc_qa_email"		type="hidden" value="{cc_qa_email}">
-
+ 
  <input id="cc_qa_save" 		type="hidden" value="{cc_qa_save}">
- <input id="cc_qa_clear"		type="hidden" value="{cc_qa_clear}">
-
+ <input id="cc_qa_close"		type="hidden" value="{cc_qa_close}">
+ 
  <input id="cc_empty" 			type="hidden"  value="{cc_empty}">
   <!-- VIEW CARDS -->
@@ -53,5 +105,5 @@
 				</tr>
 				<tr>
-					<td width="150px" height="100%" align="left" valign="top">
+					<td width="150px" height="100%" align="left" valign="top"> 
 						<div id="cc_tree" style="overflow:auto;position:relative; width: 150px;border: 0px solid #999;"></div>
 					</td>
@@ -75,6 +127,6 @@
 				</tr>-->
 				<tr align="left">
-					<td align="left">
-					<input id="cc_button_new" onMouseOver="if(!menuStarted) menu();menu.onmouseover()" onMouseOut="menu.onmouseout()"  value="Novo ..." type="button">
+					<td align="left">															
+					<input id="cc_button_new" onMouseOver="if(!menuStarted) menu();menu.onmouseover()" onMouseOut="menu.onmouseout()"  value="{cc_btn_new}" type="button">					
 					<div id="cc_panel_search_call" style="display: inline"></div>
 					<div id="cc_panel_table" style="display: none; text-align: right">
@@ -82,9 +134,9 @@
 					</div>
 					<div id="cc_panel_cards" style="display: inline; text-align: right">
-					<input type="button" value="{cc_panel_cards}" class="tab_box" style="cursor: pointer; cursor: hand;" onclick="javascript: ccChangeVisualization('cards')" />
+					<input type="button" value="{cc_panel_cards}" class="tab_box" style="cursor: pointer; cursor: hand;" onclick="javascript: ccChangeVisualization('cards')" />					
 					</div>
 					</td>
 					<td align="right">
-					<input id="cc_button_tools" value="Importar | Exportar" type="button" onclick="javascript:ccIEContacts.showList()">
+					<input id="cc_button_tools" value="{cc_btn_import_export}" type="button" onclick="javascript:ccIEContacts.showList()">
 					</td>
 				</tr>
@@ -172,5 +224,5 @@
 											<td align="left" valign="middle"><span id="cc_panel_arrow_last"><img src="templates/default/images/last-grey.png" border="0" alt="{cc_panel_last_page}" hspace="2" /></span></td>
 										</tr>
-									</table>
+									</table>			
 								</td>
 							</tr>
@@ -179,8 +231,8 @@
 				</tr>
 				<!-- ___END PANEL -->
-				<!-- __CARDS -->
+				<!-- __CARDS -->				
 				<tr>
 					<td style="border: 0px solid #666;" id="cc_card_space" width="100%" height="auto" valign="top" align="center" colspan="4"></td>
-				</tr>
+				</tr>												
 				<!-- __END CARDS -->
 			</table>
@@ -197,3 +249,3 @@
 <script type="text/javascript" src="js/ccIEContacts.js"></script>
 <script type="text/javascript" src="js/ccMain.js"></script>
-<!-- END BOTTOM DETAILS-->
+<!-- END BOTTOM DETAILS-->						
Index: trunk/contactcenter/templates/default/full_add.tpl
===================================================================
--- trunk/contactcenter/templates/default/full_add.tpl	(revision 284)
+++ trunk/contactcenter/templates/default/full_add.tpl	(revision 285)
@@ -13,5 +13,5 @@
 <input id="cc_contact_personal" type="hidden" value="{cc_contact_personal}">
 <input id="cc_contact_addrs" type="hidden" value="{cc_contact_addrs}">
-<input id="cc_contact_conns" type="hidden" value="E-mails e Telefones">
+<input id="cc_contact_conns" type="hidden" value="{emails_telephones}">
 <input id="cc_pd_full_name" name="{cc_pd_full_name}" type="hidden">
 <input id="cc_pd_sex" name="{cc_pd_sex}" type="hidden">
@@ -36,5 +36,5 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_alias}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength="30"></td>
+			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength=""></td>
 		</tr>
 		<tr style="display:none" class="row_off">
@@ -139,14 +139,14 @@
 	<tbody>
 		<tr class="th" width="100%" align="center" height="10px">
-			<td width="60px" noWrap><input type="radio"  name="cc_conn_type" id="cc_conn_type_1" value="Email" onclick="javascript:updateConnFields();">E-mail</td>
-			<td width="60px" noWrap><input type="radio" name="cc_conn_type" id="cc_conn_type_2" value="Telefone" onclick="javascript:updateConnFields();">Telefone</td>
-			<td width="*" align="left"><select style="width:160px" id="cc_conn_type_sel" onchange="javascript:connAddNewLine();"><option value="-1">Escolha 'Email' ou 'Telefone'</option></select></td>
-		</tr>
-		<tr class="row_off">
+			<td width="60px" noWrap><input type="radio"  name="cc_conn_type" id="cc_conn_type_1" value="Email" onclick="javascript:updateConnFields();">{email}</td>
+			<td width="60px" noWrap><input type="radio" name="cc_conn_type" id="cc_conn_type_2" value="Telefone" onclick="javascript:updateConnFields();">{telephone}</td>
+			<td width="*" align="left"><select style="width:160px" id="cc_conn_type_sel" onchange="javascript:connAddNewLine();"><option value="-1">{choose_email_telephone}</option></select></td>
+		</tr>
+		<tr class="row_off">			
 			<td valign="top" colspan="4" width="100%" style="border: 0px solid black" cellpadding="0" cellspacing="0">
 				<table align="left" width="100%" style="border: 0px solid black">
 				<tbody id="cc_conn">&nbsp;
 					<!-- Code inside here is inserted dynamically -->
-				</tbody>
+				</tbody>				
 				</table>
 			</td>
@@ -159,8 +159,8 @@
 	</tbody>
 	</table>
-	<div style="z-index:10000;position: absolute;display:none; top: 170px; left: 78px;" id="div_cc_conn_is_default">É padrão:&nbsp;<select id="cc_email_default" name="cc_email_default" disabled style="display:none"></select><select id="cc_phone_default" name="cc_phone_default" disabled style="display:none"></select></div>
+	<div style="z-index:10000;position: absolute;display:none; top: 170px; left: 78px;" id="div_cc_conn_is_default"> {cc_default} &nbsp;<select id="cc_email_default" name="cc_email_default" disabled style="display:none"></select><select id="cc_phone_default" name="cc_phone_default" disabled style="display:none"></select></div>
 </div>
 <!-- _BOTTOM BUTTONS -->
-<div align="center" id="cc_contact_tab_buttons" style="position: absolute; visibility: hidden; top: 250px; left: 0px; width: 498px; height: 32px; border: 0px solid black">
+<div align="center" id="cc_contact_tab_buttons" style="position: absolute; visibility: hidden; top: 250px; left: 0px; width: 498px; height: 32px; border: 0px solid black">	
 	<table class="row_off" align="center" width="498px" cellpadding="2" cellspacing="0" border="0">
 		<tr>
@@ -177,9 +177,10 @@
 <!--
 //	Overloading some methods for fix cursor problem in Firefox.
-	if(!is_ie) {
-		dJSWin.prototype.close = function() {
+	if(!is_ie) { 
+		dJSWin.prototype.close = function() {		
 			dJSWin.state = 0;
 			dd.elements[this.title.id].hide();
-			Element("divScrollMain").style.overflow = 'auto';
+			if ( dd_div = document.getElementById('divScrollMain'))	
+				Element("divScrollMain").style.overflow = 'auto';	
 		}
 		dJSWin.prototype.open = function() {
@@ -188,32 +189,33 @@
 			dd.elements[this.title.id].maximizeZ();
 			dd.elements[this.title.id].show();
-			Element("divScrollMain").style.overflow = 'hidden';
-		}
-	}
-
+			if ( dd_div = document.getElementById('divScrollMain'))
+				dd_div.style.overflow = 'hidden';
+		}
+	}	
+		
 	var fullAdd_onload = document.body.onload;
 	var tabs;
 	var fullAddWin;
-	var photo_frame, photo_form, photo_input;
+	var photo_frame, photo_form, photo_input;	
 
 	__f = function(e)
 	{
-
+		
 		tabs = new dTabsManager({'id': 'cc_contact_tab', 'width': '500px'});
-
-		tabs.addTab({'id': 'cc_contact_tab_0',
-					 'name': Element('cc_contact_personal').value,
-					 'selectedClass': 'tab_box_active',
+		
+		tabs.addTab({'id': 'cc_contact_tab_0', 
+					 'name': Element('cc_contact_personal').value, 
+					 'selectedClass': 'tab_box_active', 
 					 'unselectedClass': 'tab_box'});
-
-		tabs.addTab({'id': 'cc_contact_tab_2',
-					 'name': Element('cc_contact_conns').value,
-					 'selectedClass': 'tab_box_active',
+					 
+		tabs.addTab({'id': 'cc_contact_tab_2', 
+					 'name': Element('cc_contact_conns').value, 
+					 'selectedClass': 'tab_box_active', 
 					 'unselectedClass': 'tab_box'});
 
-		tabs.addTab({'id': 'cc_contact_tab_1',
-					 'name': Element('cc_contact_addrs').value,
-					 'selectedClass': 'tab_box_active',
-					 'unselectedClass': 'tab_box'});
+		tabs.addTab({'id': 'cc_contact_tab_1', 
+					 'name': Element('cc_contact_addrs').value, 
+					 'selectedClass': 'tab_box_active', 
+					 'unselectedClass': 'tab_box'});					 
 
 		fullAddWin = new dJSWin({'id': 'cc_full_add',
@@ -229,6 +231,6 @@
 					 'border': true});
 
-		fullAddWin.draw();
-
+		fullAddWin.draw();		
+		 				
 		if (is_ie)
 		{
@@ -242,12 +244,12 @@
 		{
 			Element('cc_pd_select_photo_t').style.display='none';
-			Element('cc_pd_select_photo_b').style.display='none';
-		}
-
+			Element('cc_pd_select_photo_b').style.display='none';			
+		}
+		
 	};
 
 	if (is_ie) // || is_moz1_6)
 	{
-
+			
 		document.body.onload = function(e) { setTimeout('__f()', 10); fullAdd_onload ? setTimeout('fullAdd_onload()'): false;};
 	}
@@ -270,5 +272,5 @@
 
 
-<!-- RELATIONS
+<!-- RELATIONS 
 <div id="cc_contact_tab_3" class="row_off div_cc_contact_tab">
 	<table align="center" width="500px" height="100%" cellpadding="2" cellspacing="0" border="0">
